aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-class-accessor-lite
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-06-30 15:18:37 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-06-30 15:20:32 +0000
commitf9428b237642df921500d25cf626e0605a903146 (patch)
treed7e2b443930ab7af7cfeeaf06ce0e4b6d7a9fc39 /community/perl-class-accessor-lite
parent8b9242c1f493fea0f28d743bd40bf639c281283a (diff)
downloadaports-f9428b237642df921500d25cf626e0605a903146.tar.gz
aports-f9428b237642df921500d25cf626e0605a903146.tar.bz2
aports-f9428b237642df921500d25cf626e0605a903146.tar.xz
community/perl-class-accessor-lite: moved from main
Diffstat (limited to 'community/perl-class-accessor-lite')
-rw-r--r--community/perl-class-accessor-lite/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/community/perl-class-accessor-lite/APKBUILD b/community/perl-class-accessor-lite/APKBUILD
new file mode 100644
index 0000000000..40ea2a5a17
--- /dev/null
+++ b/community/perl-class-accessor-lite/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-class-accessor-lite
+_pkgreal=Class-Accessor-Lite
+pkgver=0.08
+pkgrel=0
+pkgdesc="a minimalistic variant of Class::Accessor"
+url="http://search.cpan.org/dist/Class-Accessor-Lite/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev perl-module-install $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/K/KA/KAZUHO/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+sha512sums="e23afed2c0c7eb887d23c80dca1b8b0cc42d38c86f8fcceb87d384b10403e0d74d3ae3b41a9654f4fcb58462ec138f0266a0b7e94d389ecb91d271600c6e293b Class-Accessor-Lite-0.08.tar.gz"